Bug 662272 - (ghc-utility-ht) Review Request: ghc-utility-ht - Helper functions for Lists, Maybes, Tuples, Functions
Review Request: ghc-utility-ht - Helper functions for Lists, Maybes, Tuples, ...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready
:
Depends On:
Blocks: 712404
  Show dependency treegraph
 
Reported: 2010-12-11 00:30 EST by Ben Boeckel
Modified: 2013-06-24 06:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-12-11 00:30:58 EST
Spec URL: http://benboeckel.net/packaging/ghc-utility-ht/ghc-utility-ht.spec
SRPM URL: http://benboeckel.net/packaging/ghc-utility-ht/ghc-utility-ht-0.0.5.1-1.fc14.src.rpm
Description:
Various small helper functions for Lists, Maybes, Tuples,
Functions. Some of these functions are improved
implementations of standard functions. They have the same
name as their standard counterparts. The package only
contains functions that do not require packages other than
the base package. Thus you do not risk a dependency avalanche
by importing it. However, further splitting the base package
might invalidate this statement.

% lintmock fedora-14-x86_64
ghc-utility-ht.src: W: strange-permission ghc-utility-ht.spec 0640L
ghc-utility-ht.src: W: strange-permission utility-ht-0.0.5.1.tar.gz 0640L
ghc-utility-ht-prof.x86_64: E: devel-dependency ghc-utility-ht-devel
ghc-utility-ht-prof.x86_64: W: no-documentation
ghc-utility-ht-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/utility-ht-0.0.5.1/libHSutility-ht-0.0.5.1_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:08 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Karel Klíč 2011-12-06 13:24:02 EST
Failed to build it in mock for rawhide:

ERROR: Command failed: 
 # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-rawhide-i386/root/', '/var/lib/mock/fedora-rawhide-i386/root///builddir/build/SRPMS/ghc-utility-ht-0.0.5.1-1.fc17.src.rpm']
Getting requirements for ghc-utility-ht-0.0.5.1-1.fc17.src
 --> ghc-7.0.4-40.fc17.i686
Error: No Package found for ghc-doc
Comment 3 Narasimhan 2011-12-06 23:31:57 EST
@Karel,
Hi, the script needs to be updated using the latest cabal2spec. Cabal2spec will create a template and additional details can be copied over from the existing spec file.
Comment 4 Ben Boeckel 2012-03-03 00:12:15 EST
Spec URL: http://benboeckel.net/packaging/ghc-utility-ht/ghc-utility-ht.spec
SRPM URL: http://benboeckel.net/packaging/ghc-utility-ht/ghc-utility-ht-0.0.8-1.fc18.src.rpm

ghc-utility-ht.src: W: strange-permission utility-ht-0.0.8.tar.gz 0640L
ghc-utility-ht.src: W: strange-permission ghc-utility-ht.spec 0640L
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 5 Narasimhan 2012-12-02 22:30:57 EST
Ben,
Could you update the spec file to cabal-rpm 0.6.6?
Comment 7 Jens Petersen 2013-06-24 06:24:46 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.